<?php

$classes       = array();
$cheshalo_loop = cheshalo_loop_prop( 'cheshalo_loop' );
$blog_design   = cheshalo_loop_prop( 'blog_design' );
$columns       = cheshalo_loop_prop( 'blog_columns' );
$classes[]     = 'blog-design-' . $blog_design;
$classes[]     = 'blog-post-loop';

if ( 'meta-image' !== $blog_design ) {
	$classes[] = 'blog-style-' . cheshalo_get_opt( 'blog_style' );
}

if ( 'grid' === cheshalo_loop_prop( 'blog_layout' ) ) {
	$classes[] = cheshalo_get_grid_el_class( $cheshalo_loop, $columns, false, 12 );
}

if ( ! get_the_title() ) {
	$classes[] = 'post-no-title';
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $classes ); ?>>
	<div class="wd-post-thumb<?php echo has_post_thumbnail() ? ' color-scheme-light' : ''; ?>">
		<div class="wd-post-img">
			<?php echo cheshalo_get_post_thumbnail( 'large' ); // phpcs:ignore ?>
		</div>

		<a class="wd-post-link wd-fill" href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark"></a>

		<div class="wd-post-header">
			<?php if ( cheshalo_loop_prop( 'parts_meta' ) ) : ?>
				<div class="wd-meta-author">
					<?php cheshalo_post_meta_author( true, false ); ?>
				</div>
			<?php endif ?>

			<div class="wd-post-actions">
				<?php if ( cheshalo_is_social_link_enable( 'share' ) ) : ?>
					<div class="wd-post-share wd-tltp <?php echo is_rtl() ? 'wd-tltp-right' : 'wd-tltp-left'; ?>">
						<div class="wd-tooltip-label">
							<?php
							if ( function_exists( 'cheshalo_shortcode_social' ) ) {
								echo cheshalo_shortcode_social( // phpcs:ignore
									array(
										'size'  => 'small',
										'color' => 'light',
									)
								);}
							?>
						</div>
					</div>
				<?php endif ?>

				<?php if ( comments_open() ) : ?>
					<div class="wd-meta-reply">
						<?php cheshalo_post_meta_reply(); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<div class="wd-post-content">
		<div class="wd-post-entry-meta">
			<?php if ( is_sticky() ) : ?>
				<div class="wd-featured-post">
					<?php esc_html_e( 'Featured', 'cheshalo' ); ?>
				</div>
			<?php endif; ?>
			<?php if ( cheshalo_loop_prop( 'parts_meta' ) && get_the_category_list( ', ' ) ) : ?>
				<div class="wd-post-cat wd-style-default">
					<?php echo get_the_category_list( ', ' ); // phpcs:ignore ?>
				</div>
			<?php endif ?>

			<div class="wd-modified-date">
				<?php cheshalo_post_modified_date(); ?>
			</div>

			<div class="wd-meta-date">
				<?php echo esc_html( get_the_date( 'd M Y' ) ); ?>
			</div>
		</div>

		<?php if ( cheshalo_loop_prop( 'parts_title' ) ) : ?>
			<h3 class="wd-entities-title title post-title">
				<a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark">
					<?php the_title(); ?>
				</a>
			</h3>
		<?php endif ?>

		<div class="wd-entry-content">
			<?php if ( is_search() && cheshalo_loop_prop( 'parts_text' ) ) : ?>
				<div class="entry-summary">
					<?php the_excerpt(); ?>
				</div><!-- .entry-summary -->
			<?php elseif ( cheshalo_loop_prop( 'parts_text' ) ) : ?>
				<?php cheshalo_get_content( false ); ?>
				<?php
				wp_link_pages(
					array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'cheshalo' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
					)
				);
				?>
			<?php endif; ?>
		</div>

		<?php if ( cheshalo_loop_prop( 'parts_btn' ) ) : ?>
			<div class="wd-read-more">
				<?php echo cheshalo_read_more_tag(); // phpcs:ignore ?>
			</div>
		<?php endif; ?>
	</div>
</article>
