<?php
if ( ! cheshalo_woocommerce_installed() || ! cheshalo_get_opt( 'wishlist' ) || ( cheshalo_get_opt( 'wishlist_logged' ) && ! is_user_logged_in() ) ) {
	return;
}

cheshalo_enqueue_inline_style( 'header-elements-base' );

$extra_class = '';
$icon_type   = $params['icon_type'];

$extra_class .= ' wd-style-' . $params['design'];

if ( ! $params['hide_product_count'] ) {
	$extra_class .= ' wd-with-count';
	$extra_class .= cheshalo_get_old_classes( ' with-product-count' );
}

if ( $icon_type == 'custom' ) {
	$extra_class .= ' wd-tools-custom-icon';
}

$extra_class .= cheshalo_get_old_classes( ' cheshalo-wishlist-info-widget' );

cheshalo_enqueue_js_script( 'wishlist' );
?>

<div class="wd-header-wishlist wd-tools-element<?php echo esc_attr( $extra_class ); ?>" title="<?php echo esc_attr__( 'My Wishlist', 'cheshalo' ); ?>">
	<a href="<?php echo esc_url( cheshalo_get_whishlist_page_url() ); ?>">
		<span class="wd-tools-icon<?php echo cheshalo_get_old_classes( ' wishlist-icon' ); ?>">
			<?php
			if ( $icon_type == 'custom' ) {
				echo whb_get_custom_icon( $params['custom_icon'] );
			}
			?>

			<?php if ( ! $params['hide_product_count'] ) : ?>
				<span class="wd-tools-count">
					<?php echo esc_html( cheshalo_get_wishlist_count() ); ?>
				</span>
			<?php endif; ?>
		</span>
		<span class="wd-tools-text<?php echo cheshalo_get_old_classes( ' wishlist-label' ); ?>">
			<?php esc_html_e( 'Wishlist', 'cheshalo' ); ?>
		</span>
	</a>
</div>
