<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

use XTS\Options;

/**
 * General.
 */
Options::add_section(
	array(
		'id'       => 'general_section',
		'name'     => esc_html__( 'General', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'dashicons dashicons-admin-home',
	)
);

Options::add_section(
	array(
		'id'       => 'header_banner_section',
		'parent'   => 'general_section',
		'name'     => esc_html__( 'Header banner', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'promo_popup_section',
		'parent'   => 'general_section',
		'name'     => esc_html__( 'Promo popup', 'cheshalo' ),
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'age_verify_section',
		'parent'   => 'general_section',
		'name'     => esc_html__( 'Age verify popup', 'cheshalo' ),
		'priority' => 30,
	)
);

Options::add_section(
	array(
		'id'       => 'cookie_section',
		'parent'   => 'general_section',
		'name'     => esc_html__( 'Cookie Law Info', 'cheshalo' ),
		'priority' => 40,
	)
);

Options::add_section(
	array(
		'id'       => 'general_navbar_section',
		'parent'   => 'general_section',
		'name'     => esc_html__( 'Mobile bottom navbar', 'cheshalo' ),
		'priority' => 50,
	)
);

/**
 * General layout.
 */
Options::add_section(
	array(
		'id'       => 'general_layout_section',
		'name'     => esc_html__( 'General layout', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'dashicons dashicons-layout',
	)
);

/**
 * Page title.
 */
Options::add_section(
	array(
		'id'       => 'page_title_section',
		'name'     => esc_html__( 'Page title', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'dashicons dashicons-schedule',
	)
);

/**
 * Footer.
 */
Options::add_section(
	array(
		'id'       => 'footer_section',
		'name'     => esc_html__( 'Footer', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'dashicons dashicons-editor-kitchensink',
	)
);

/**
 * Typography.
 */
Options::add_section(
	array(
		'id'       => 'typography_section',
		'name'     => esc_html__( 'Typography', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'dashicons dashicons-editor-textcolor',
	)
);

Options::add_section(
	array(
		'id'       => 'typekit_section',
		'parent'   => 'typography_section',
		'name'     => esc_html__( 'Typekit Fonts', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'custom_fonts_section',
		'parent'   => 'typography_section',
		'name'     => esc_html__( 'Custom Fonts', 'cheshalo' ),
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'advanced_typography_section',
		'parent'   => 'typography_section',
		'name'     => esc_html__( 'Advanced typography', 'cheshalo' ),
		'priority' => 30,
	)
);


/**
 * Styles and colors.
 */
Options::add_section(
	array(
		'id'       => 'colors_section',
		'name'     => esc_html__( 'Styles and colors', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'dashicons dashicons-admin-customizer',
	)
);

Options::add_section(
	array(
		'id'       => 'pages_bg_section',
		'parent'   => 'colors_section',
		'name'     => esc_html__( 'Pages background', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'buttons_section',
		'parent'   => 'colors_section',
		'name'     => esc_html__( 'Buttons', 'cheshalo' ),
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'forms_section',
		'parent'   => 'colors_section',
		'name'     => esc_html__( 'Forms style', 'cheshalo' ),
		'priority' => 30,
	)
);

Options::add_section(
	array(
		'id'       => 'notices_section',
		'parent'   => 'colors_section',
		'name'     => esc_html__( 'Notices', 'cheshalo' ),
		'priority' => 40,
	)
);

/**
 * Blog.
 */
Options::add_section(
	array(
		'id'       => 'blog_section',
		'name'     => esc_html__( 'Blog', 'cheshalo' ),
		'priority' => 70,
		'icon'     => 'dashicons dashicons-welcome-write-blog',
	)
);

Options::add_section(
	array(
		'id'       => 'blog_archive_section',
		'name'     => esc_html__( 'Blog archive', 'cheshalo' ),
		'parent'   => 'blog_section',
		'priority' => 10,
		'icon'     => 'dashicons dashicons-admin-home',
	)
);

Options::add_section(
	array(
		'id'       => 'blog_singe_post_section',
		'name'     => esc_html__( 'Single post', 'cheshalo' ),
		'parent'   => 'blog_section',
		'priority' => 20,
		'icon'     => 'dashicons dashicons-admin-home',
	)
);

/**
 * Portfolio.
 */
Options::add_section(
	array(
		'id'       => 'portfolio_section',
		'name'     => esc_html__( 'Portfolio', 'cheshalo' ),
		'priority' => 80,
		'icon'     => 'dashicons dashicons-grid-view',
	)
);

Options::add_section(
	array(
		'id'       => 'portfolio_archive_section',
		'name'     => esc_html__( 'Portfolio archive', 'cheshalo' ),
		'parent'   => 'portfolio_section',
		'priority' => 10,
		'icon'     => 'dashicons dashicons-admin-home',
	)
);

Options::add_section(
	array(
		'id'       => 'portfolio_singe_project_section',
		'name'     => esc_html__( 'Single project', 'cheshalo' ),
		'parent'   => 'portfolio_section',
		'priority' => 20,
		'icon'     => 'dashicons dashicons-admin-home',
	)
);

/**
 * Shop.
 */
Options::add_section(
	array(
		'id'       => 'shop_section',
		'name'     => esc_html__( 'Shop', 'cheshalo' ),
		'priority' => 90,
		'icon'     => 'dashicons dashicons-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'attribute_swatches_section',
		'parent'   => 'shop_section',
		'name'     => esc_html__( 'Attribute swatches', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'product_labels_section',
		'parent'   => 'shop_section',
		'name'     => esc_html__( 'Product labels', 'cheshalo' ),
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'brands_section',
		'parent'   => 'shop_section',
		'name'     => esc_html__( 'Brands', 'cheshalo' ),
		'priority' => 30,
	)
);

Options::add_section(
	array(
		'id'       => 'quick_view_section',
		'parent'   => 'shop_section',
		'name'     => esc_html__( 'Quick view', 'cheshalo' ),
		'priority' => 40,
	)
);

Options::add_section(
	array(
		'id'       => 'compare_section',
		'parent'   => 'shop_section',
		'name'     => esc_html__( 'Compare', 'cheshalo' ),
		'priority' => 50,
	)
);

/**
 * Wishlist (60).
 */

Options::add_section(
	array(
		'id'       => 'thank_you_page_section',
		'parent'   => 'shop_section',
		'name'     => esc_html__( 'Thank you page', 'cheshalo' ),
		'priority' => 70,
	)
);

/**
 * Product archive.
 */
Options::add_section(
	array(
		'id'       => 'product_archive_section',
		'name'     => esc_html__( 'Product archive', 'cheshalo' ),
		'priority' => 100,
		'icon'     => 'dashicons dashicons-store',
	)
);

Options::add_section(
	array(
		'id'       => 'products_grid_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Products grid', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'products_styles_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Products styles', 'cheshalo' ),
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'categories_styles_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Categories styles', 'cheshalo' ),
		'priority' => 30,
	)
);

Options::add_section(
	array(
		'id'       => 'shop_filters_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Shop filters', 'cheshalo' ),
		'priority' => 40,
	)
);

Options::add_section(
	array(
		'id'       => 'widgets_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Widgets', 'cheshalo' ),
		'priority' => 50,
	)
);

Options::add_section(
	array(
		'id'       => 'shop_page_title_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Page title', 'cheshalo' ),
		'priority' => 60,
	)
);

Options::add_section(
	array(
		'id'       => 'shop_sidebar_section',
		'parent'   => 'product_archive_section',
		'name'     => esc_html__( 'Sidebar', 'cheshalo' ),
		'priority' => 70,
	)
);

/**
 * Single product.
 */
Options::add_section(
	array(
		'id'       => 'single_product_section',
		'name'     => esc_html__( 'Single product', 'cheshalo' ),
		'priority' => 110,
		'icon'     => 'dashicons dashicons-products',
	)
);

Options::add_section(
	array(
		'id'       => 'product_images',
		'parent'   => 'single_product_section',
		'name'     => esc_html__( 'Images', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'single_product_add_to_cart_section',
		'parent'   => 'single_product_section',
		'name'     => esc_html__( 'Add to cart options', 'cheshalo' ),
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'product_elements',
		'parent'   => 'single_product_section',
		'name'     => esc_html__( 'Show / hide elements', 'cheshalo' ),
		'priority' => 30,
	)
);

Options::add_section(
	array(
		'id'       => 'product_share',
		'parent'   => 'single_product_section',
		'name'     => esc_html__( 'Share buttons', 'cheshalo' ),
		'priority' => 40,
	)
);

Options::add_section(
	array(
		'id'       => 'product_tabs',
		'parent'   => 'single_product_section',
		'name'     => esc_html__( 'Tabs', 'cheshalo' ),
		'priority' => 50,
	)
);

Options::add_section(
	array(
		'id'       => 'single_product_related_section',
		'parent'   => 'single_product_section',
		'name'     => esc_html__( 'Related products', 'cheshalo' ),
		'priority' => 60,
	)
);

/**
 * Login/register section.
 */
Options::add_section(
	array(
		'id'       => 'login_section',
		'name'     => esc_html__( 'Login/Register', 'cheshalo' ),
		'priority' => 120,
		'icon'     => 'dashicons dashicons-admin-users',
	)
);

/**
 * Share buttons configuration.
 */
Options::add_section(
	array(
		'id'       => 'social_profiles',
		'name'     => esc_html__( 'Social profiles', 'cheshalo' ),
		'priority' => 130,
		'icon'     => 'dashicons dashicons-networking',
	)
);

Options::add_section(
	array(
		'id'       => 'social_links',
		'parent'   => 'social_profiles',
		'name'     => esc_html__( 'Links to social profiles', 'cheshalo' ),
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'social_share',
		'parent'   => 'social_profiles',
		'name'     => esc_html__( 'Share buttons', 'cheshalo' ),
		'priority' => 10,
	)
);

/**
 * API integrations.
 */
Options::add_section(
	array(
		'id'       => 'api_integrations_section',
		'name'     => esc_html__( 'API integrations', 'cheshalo' ),
		'priority' => 140,
		'icon'     => 'dashicons dashicons-rest-api',
	)
);

/**
 * Performance.
 */
Options::add_section(
	array(
		'id'       => 'performance',
		'name'     => esc_html__( 'Performance', 'cheshalo' ),
		'priority' => 150,
		'icon'     => 'dashicons dashicons-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'performance_css',
		'name'     => esc_html__( 'CSS', 'cheshalo' ),
		'parent'   => 'performance',
		'priority' => 10,
	)
);

Options::add_section(
	array(
		'id'       => 'performance_js',
		'name'     => esc_html__( 'JS', 'cheshalo' ),
		'parent'   => 'performance',
		'priority' => 20,
	)
);

Options::add_section(
	array(
		'id'       => 'fonts_section',
		'name'     => esc_html__( 'Fonts & Icons', 'cheshalo' ),
		'parent'   => 'performance',
		'priority' => 30,
	)
);

Options::add_section(
	array(
		'id'       => 'performance_lazy_loading',
		'name'     => esc_html__( 'Lazy loading', 'cheshalo' ),
		'parent'   => 'performance',
		'priority' => 40,
	)
);

Options::add_section(
	array(
		'id'       => 'plugins_section',
		'name'     => esc_html__( 'Plugins', 'cheshalo' ),
		'parent'   => 'performance',
		'priority' => 50,
	)
);

Options::add_section(
	array(
		'id'       => 'preloader_section',
		'name'     => esc_html__( 'Preloader', 'cheshalo' ),
		'parent'   => 'performance',
		'priority' => 60,
	)
);

/**
 * Maintenance.
 */
Options::add_section(
	array(
		'id'       => 'maintenance',
		'name'     => esc_html__( 'Maintenance', 'cheshalo' ),
		'priority' => 160,
		'icon'     => 'dashicons dashicons-hammer',
	)
);

/**
 * White label.
 */
Options::add_section(
	array(
		'id'       => 'white_label_section',
		'name'     => esc_html__( 'White label', 'cheshalo' ),
		'priority' => 170,
		'icon'     => 'dashicons dashicons-tag',
	)
);

/**
 * Custom CSS section.
 */
Options::add_section(
	array(
		'id'       => 'custom_css',
		'name'     => esc_html__( 'Custom CSS', 'cheshalo' ),
		'priority' => 180,
		'icon'     => 'dashicons dashicons-buddicons-topics',
	)
);

/**
 * Custom JS section.
 */
Options::add_section(
	array(
		'id'       => 'custom_js',
		'name'     => esc_html__( 'Custom JS', 'cheshalo' ),
		'priority' => 190,
		'icon'     => 'dashicons dashicons-media-text',
	)
);

/**
 * Other.
 */
Options::add_section(
	array(
		'id'       => 'other_section',
		'name'     => esc_html__( 'Other', 'cheshalo' ),
		'priority' => 200,
		'icon'     => 'dashicons dashicons-admin-settings',
	)
);

/**
 * Import / Export / Reset.
 */
Options::add_section(
	array(
		'id'       => 'import_export',
		'name'     => esc_html__( 'Import / Export / Reset', 'cheshalo' ),
		'priority' => 210,
		'icon'     => 'dashicons dashicons-image-rotate',
	)
);
