<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Backend class that enques main scripts and CSS.
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_HB_Backend' ) ) {
	class CHESHALO_HB_Backend {

		private static $_instance = null;

		private $_builder = null;

		public function __construct() {

			$this->_builder = CHESHALO_Header_Builder::get_instance();

			if( isset( $_GET['tab'] ) && $_GET['tab'] === 'builder' ) $this->init();

		}

		protected function __clone() {}

		static public function get_instance() {

			if( is_null( self::$_instance ) ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		public function init() {
			$this->_add_actions();
		}

		private function _add_actions() {
			add_action( 'admin_enqueue_scripts', array( $this, 'scripts'), 50 );
		}

		public function scripts() {

			$dev = apply_filters( 'whb_debug_mode', false );

			$assets_path = ( $dev ) ? CHESHALO_HEADER_BUILDER . '/public' :  CHESHALO_ASSETS ;

			wp_register_script( 'cheshalo-admin-builder', $assets_path . '/js/builder.js', array(), '', true );
			wp_enqueue_style( 'cheshalo-admin-builder', $assets_path . '/css/builder.css');

			wp_localize_script( 'cheshalo-admin-builder', 'headerBuilder', array(
				'sceleton' => $this->_builder->factory->get_header(false)->get_structure(),
				'settings' => $this->_builder->factory->get_header(false)->get_settings(),
				'name' => CHESHALO_HB_DEFAULT_NAME,
				'id' => CHESHALO_HB_DEFAULT_ID,
				'headersList' => $this->_builder->list->get_all(),
				'headersExamples' => $this->_builder->list->get_examples(),
				'defaultHeader' => $this->_builder->manager->get_default_header(),
				'texts' => array(
					'managerTitle' => cheshalo_get_opt( 'white_label' ) ? __('XTemos Headers Manager', 'cheshalo') : 'مدیریت هدر',
					'description' => __('Here you can manage your header layouts, create new ones, import and export. You can set which header to use for all pages by default.', 'cheshalo'),
					'createNew' => __('Create a new header', 'cheshalo'),
					'import' => __('Import', 'cheshalo'),
					'remove' => __('Remove header', 'cheshalo'),
					'makeDefault' => __('Make default header', 'cheshalo'),
					'headerSettings' => __('Header settings', 'cheshalo'),
					'delete' => __('Delete', 'cheshalo'),
					'Make it default' => __('Make it default', 'cheshalo'),
					'Import new header' => __('Import new header', 'cheshalo'),
					'Import' => __('Import', 'cheshalo'),
					'JSON code for import is not valid!' => __('JSON code for import is not valid!', 'cheshalo'),
					'Paste your JSON header export data here and click "Import"' => __('Paste your JSON header export data here and click "Import"', 'cheshalo'),
					'Are you sure you want to remove this header?' => __('Are you sure you want to remove this header?', 'cheshalo'),
					'Press OK to make this header default for all pages, Cancel to leave.' => __('Press OK to make this header default for all pages, Cancel to leave.', 'cheshalo'),
					'Choose which layout you want to use as a base for your new header.' => __('Choose which layout you want to use as a base for your new header.', 'cheshalo'),
					'Examples library' => __('Examples library', 'cheshalo'),
					'User headers' => __('User headers', 'cheshalo'),
					'Background image repeat' => __('Background image repeat', 'cheshalo'),
					'Inherit' => __('Inherit', 'cheshalo'),
					'No repeat' => __('No repeat', 'cheshalo'),
					'Repeat All' => __('Repeat All', 'cheshalo'),
					'Repeat horizontally' => __('Repeat horizontally', 'cheshalo'),
					'Repeat vertically' => __('Repeat vertically', 'cheshalo'),
					'Background image size' => __('Background image size', 'cheshalo'),
					'Inherit' => __('Inherit', 'cheshalo'),
					'Cover' => __('Cover', 'cheshalo'),
					'Contain' => __('Contain', 'cheshalo'),
					'Background image attachment' => __('Background image attachment', 'cheshalo'),
					'Fixed' => __('Fixed', 'cheshalo'),
					'Scroll' => __('Scroll', 'cheshalo'),
					'Background image position' => __('Background image position', 'cheshalo'),
					'Left top' => __('Left top', 'cheshalo'),
					'Left center' => __('Left center', 'cheshalo'),
					'Left bottom' => __('Left bottom', 'cheshalo'),
					'Center top' => __('Center top', 'cheshalo'),
					'Center center' => __('Center center', 'cheshalo'),
					'Center bottom' => __('Center bottom', 'cheshalo'),
					'Right top' => __('Right top', 'cheshalo'),
					'Right center' => __('Right center', 'cheshalo'),
					'Right bottom' => __('Right bottom', 'cheshalo'),
					'Preview' => __('Preview', 'cheshalo'),
					'Width' => __('Width', 'cheshalo'),
					'Style' => __('Style', 'cheshalo'),
					'Container' => __('Container', 'cheshalo'),
					'fullwidth' => __('fullwidth', 'cheshalo'),
					'boxed' => __('boxed', 'cheshalo'),
					'Upload an image' => __('Upload an image', 'cheshalo'),
					'Upload' => __('Upload', 'cheshalo'),
					'Open in new window' => __('Open in new window', 'cheshalo'),
					'Add element to this section' => __('Add element to this section', 'cheshalo'),
					'Are you sure you want to delete this element?' => __('Are you sure you want to delete this element?', 'cheshalo'),
					'Edit settings' => __('Edit settings', 'cheshalo'),
					'Export this header structure' => __('Export this header structure', 'cheshalo'),
					'importDescription' => __('Copy the code from the following text area and save it. You will be
						able to import it later with our import function in the headers
						manager.', 'cheshalo'),
					'Save header' => __('Save header', 'cheshalo'),
					'Back to headers list' => __('Back to headers list', 'cheshalo'),
					'Edit' => __('Edit', 'cheshalo'),
					'Clone' => __('Clone', 'cheshalo'),
					'Remove' => __('Remove', 'cheshalo'),
					'Add element' => __('Add element', 'cheshalo'),
					'Loading, please wait...' => __('Loading, please wait...', 'cheshalo'),
					'Close' => __('Close', 'cheshalo'),
					'Save' => __('Save', 'cheshalo'),
					'Header settings' => __('Header settings', 'cheshalo'),
					'Export header' => __('Export header', 'cheshalo'),
					'Desktop layout' => __('Desktop layout', 'cheshalo'),
					'Mobile layout' => __('Mobile layout', 'cheshalo'),
					'Header is successfully saved.' => __('Header is successfully saved.', 'cheshalo'),
					'Default header for all pages is changed.' => __('Default header for all pages is changed.', 'cheshalo'),
					'Configure' => __('Configure', 'cheshalo'),
					'settings' => __('settings', 'cheshalo'),
				)
			) );

			wp_enqueue_script( 'cheshalo-admin-builder' );

			wp_enqueue_editor();
			wp_enqueue_media();

		}


	}


	$_GLOBALS['cheshalo_hb_backend'] = CHESHALO_HB_Backend::get_instance();
}
