<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Account links in the header. Login / register, my account, logout.
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_HB_Account' ) ) {
	class CHESHALO_HB_Account extends CHESHALO_HB_Element {

		public function __construct() {
			parent::__construct();
			$this->template_name = 'account';
		}

		public function map() {
			$this->args = array(
				'type' => 'account',
				'title' => esc_html__( 'Account', 'cheshalo' ), 
				'text' => esc_html__( 'Login/register links', 'cheshalo' ), 
				'icon' => CHESHALO_ASSETS_IMAGES . '/header-builder/icons/hb-ico-account.svg',
				'editable' => true,
				'container' => false,
				'edit_on_create' => true,
				'drag_target_for' => array(),
				'drag_source' => 'content_element',
				'removable' => true,
				'addable' => true,
				'params' => array(
					'display' => array(
						'id' => 'display',
						'title' => esc_html__( 'Display', 'cheshalo' ), 
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => 'text',
						'options' => array(
							'icon' => array(
								'value' => 'icon',
								'label' => esc_html__( 'Icon', 'cheshalo' ),
							),
							'text' => array(
								'value' => 'text',
								'label' => esc_html__( 'Only text', 'cheshalo' ),
							),
						),
					),
					'icon_type' => array(
						'id' => 'icon_type',
						'title' => esc_html__( 'Icon type', 'cheshalo' ),
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => 'default',
						'options' => array(
							'default' => array(
								'value' => 'default',
								'label' => esc_html__( 'Default', 'cheshalo' ),
								'image' => CHESHALO_ASSETS_IMAGES . '/header-builder/default-icons/account-default.jpg',
							),
							'custom' => array(
								'value' => 'custom',
								'label' => esc_html__( 'Custom', 'cheshalo' ),
								'image' => CHESHALO_ASSETS_IMAGES . '/header-builder/settings.jpg',
							),
						),
						'requires' => array(
							'display' => array(
								'comparison' => 'equal',
								'value' => 'icon'
							)
						),
					),
					'custom_icon' => array(
						'id' => 'custom_icon',
						'title' => esc_html__( 'Custom icon', 'cheshalo' ),
						'type' => 'image',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => '',
						'description' => '',
						'requires' => array(
							'icon_type' => array(
								'comparison' => 'equal',
								'value' => 'custom'
							)
						),
					),
					'with_username' => array(
						'id' => 'with_username',
						'title' => esc_html__( 'Show username', 'cheshalo' ), 
						'type' => 'switcher',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => false,
						'description' => esc_html__( 'Display username when user is logged in.', 'cheshalo' ), 
					),
					'login_dropdown' => array(
						'id' => 'login_dropdown',
						'title' => esc_html__( 'Show login form', 'cheshalo' ), 
						'type' => 'switcher',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => true,
						'description' => esc_html__( 'Display login form dropdown on hover when user is not logged in.', 'cheshalo' ), 
					),
					'form_display' => array(
						'id' => 'form_display',
						'title' => esc_html__( 'Form display', 'cheshalo' ), 
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => 'dropdown',
						'options' => array(
							'side' => array(
								'value' => 'side',
								'label' => esc_html__( 'Sidebar', 'cheshalo' ), 
							),
							'dropdown' => array(
								'value' => 'dropdown',
								'label' => esc_html__( 'Dropdown', 'cheshalo' ), 
							),
						),
						'requires' => array(
							'login_dropdown' => array(
								'comparison' => 'equal',
								'value' => true
							)
						),
					),
				)
			);
		}

	}

}
