<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Mobile menu burger icon
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_HB_Burger' ) ) {
	class CHESHALO_HB_Burger extends CHESHALO_HB_Element {

		public function __construct() {
			parent::__construct();
			$this->template_name = 'burger';
		}

		public function map() {
			$options = $this->get_menu_options();
			$first = reset($options);

			$this->args = array(
				'type' => 'burger',
				'title' => esc_html__( 'Mobile menu', 'cheshalo' ), 
				'text' => esc_html__( 'Mobile burger icon', 'cheshalo' ), 
				'icon' => CHESHALO_ASSETS_IMAGES . '/header-builder/icons/hb-ico-mobile-menu.svg',
				'editable' => true,
				'container' => false,
				'edit_on_create' => true,
				'drag_target_for' => array(),
				'drag_source' => 'content_element',
				'removable' => true,
				'addable' => true,
				'params' => array(
					'style' => array(
						'id' => 'style',
						'title' => esc_html__( 'Style', 'cheshalo' ), 
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => 'icon',
						'options' => array(
							'icon' => array(
								'value' => 'icon',
								'label' => esc_html__( 'Icon', 'cheshalo' ),
							),
							'text' => array(
								'value' => 'text',
								'label' => esc_html__( 'Icon with text', 'cheshalo' ),
							),
						),
						'description' => esc_html__( 'You can change the burger icon style.', 'cheshalo' ), 
					),
					'icon_type' => array(
						'id' => 'icon_type',
						'title' => esc_html__( 'Icon type', 'cheshalo' ),
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => 'default',
						'options' => array(
							'default' => array(
								'value' => 'default',
								'label' => esc_html__( 'Default', 'cheshalo' ),
								'image' => CHESHALO_ASSETS_IMAGES . '/header-builder/default-icons/burger-default.jpg',
							),
							'custom' => array(
								'value' => 'custom',
								'label' => esc_html__( 'Custom', 'cheshalo' ),
								'image' => CHESHALO_ASSETS_IMAGES . '/header-builder/settings.jpg',
							),
						),
					),
					'custom_icon' => array(
						'id' => 'custom_icon',
						'title' => esc_html__( 'Custom icon', 'cheshalo' ),
						'type' => 'image',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => '',
						'description' => '',
						'requires' => array(
							'icon_type' => array(
								'comparison' => 'equal',
								'value' => 'custom'
							)
						),
					),
					'position' => array(
						'id' => 'position',
						'title' => esc_html__( 'Position', 'cheshalo' ), 
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => 'left',
						'options' => array(
							'left' => array(
								'value' => 'left',
								'label' => esc_html__( 'Left', 'cheshalo' ), 
							),
							'right' => array(
								'value' => 'right',
								'label' => esc_html__( 'Right', 'cheshalo' ), 
							),
						),
						'description' => esc_html__( 'Position of the mobile menu sidebar.', 'cheshalo' ), 
					),
					'search_form' => array(
						'id' => 'search_form',
						'title' => esc_html__( 'Show search form', 'cheshalo' ), 
						'type' => 'switcher',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => true,
					),
					'categories_menu' => array(
						'id' => 'categories_menu',
						'title' => esc_html__( 'Show categories menu', 'cheshalo' ), 
						'type' => 'switcher',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => false,
					),
					'menu_id' => array(
						'id' => 'menu_id',
						'title' => esc_html__( 'Choose menu', 'cheshalo' ), 
						'type' => 'select',
						'tab' => esc_html__( 'General', 'cheshalo' ), 
						'value' => isset( $first['value'] ) ? $first['value'] : '',
						'options' => $options,
						'description' => esc_html__( 'Choose which menu to display.', 'cheshalo' ), 
						'requires' => array(
							'categories_menu' => array(
								'comparison' => 'equal',
								'value' => true
							)
						),
					),
					'tabs_swap' => array(
						'id' => 'tabs_swap',
						'title' => esc_html__( 'Swap menus', 'cheshalo' ),
						'type' => 'switcher',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => false,
					),
				)
			);
		}

	}

}
