<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 *	Main navigtaion menu
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_HB_Mainmenu' ) ) {
	class CHESHALO_HB_Mainmenu extends CHESHALO_HB_Element {

		public function __construct() {
			parent::__construct();
			$this->template_name = 'main-menu';
		}

		public function map() {
			$this->args = array(
				'type' => 'mainmenu',
				'title' => esc_html__( 'Main menu', 'cheshalo' ),
				'text' => esc_html__( 'Main navigation', 'cheshalo' ),
				'icon' => CHESHALO_ASSETS_IMAGES . '/header-builder/icons/hb-ico-menu.svg',
				'editable' => true,
				'container' => false,
				'drg' => false,
				'drag_target_for' => array(),
				'drag_source' => 'content_element',
				'edit_on_create' => true,
				'removable' => true,
				'desktop' => true,
				'addable' => true,
				'params' => array(
					'menu_style' => array(
						'id' => 'menu_style',
						'title' => esc_html__( 'Style', 'cheshalo' ),
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => 'default',
						'options' => array(
							'default' => array(
								'value' => 'default',
								'label' => esc_html__( 'Default', 'cheshalo' ),
							),
							'underline' => array(
								'value' => 'underline',
								'label' => esc_html__( 'Underline', 'cheshalo' ),
							),
							'bordered' => array(
								'value' => 'bordered',
								'label' => esc_html__( 'Bordered', 'cheshalo' ),
							),
							'separated' => array(
								'value' => 'separated',
								'label' => esc_html__( 'Separated', 'cheshalo' ),
							),
						),
						'description' => esc_html__( 'You can change menu style in the header.', 'cheshalo' ),
					),
					'menu_align' => array(
						'id' => 'menu_align',
						'title' => esc_html__( 'Menu align', 'cheshalo' ),
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => 'left',
						'options' => array(
							'left' => array(
								'value' => 'left',
								'label' => esc_html__( 'Left', 'cheshalo' ),
							),
							'center' => array(
								'value' => 'center',
								'label' => esc_html__( 'Center', 'cheshalo' ),
							),
							'right' => array(
								'value' => 'right',
								'label' => esc_html__( 'Right', 'cheshalo' ),
							),
						),
						'description' => esc_html__( 'Set the menu items text align.', 'cheshalo' ),
					),
					'full_screen' => array(
						'id' => 'full_screen',
						'title' => esc_html__( 'Full screen menu', 'cheshalo' ),
						'type' => 'switcher',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => false,
						'description' => esc_html__( 'Enable to show your menu in full screen style on burger icon click.', 'cheshalo' ),
					),
					'icon_type' => array(
						'id' => 'icon_type',
						'title' => esc_html__( 'Icon type', 'cheshalo' ),
						'type' => 'selector',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => 'default',
						'options' => array(
							'default' => array(
								'value' => 'default',
								'label' => esc_html__( 'Default', 'cheshalo' ),
								'image' => CHESHALO_ASSETS_IMAGES . '/header-builder/default-icons/burger-default.jpg',
							),
							'custom' => array(
								'value' => 'custom',
								'label' => esc_html__( 'Custom', 'cheshalo' ),
								'image' => CHESHALO_ASSETS_IMAGES . '/header-builder/settings.jpg',
							),
						),
						'requires' => array(
							'full_screen' => array(
								'comparison' => 'equal',
								'value' => true
							)
						),
					),
					'custom_icon' => array(
						'id' => 'custom_icon',
						'title' => esc_html__( 'Custom icon', 'cheshalo' ),
						'type' => 'image',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'value' => '',
						'description' => '',
						'requires' => array(
							'icon_type' => array(
								'comparison' => 'equal',
								'value' => 'custom'
							)
						),
					),
				)
			);
		}

	}

}
