<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 *	Empty horizontal space element
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_HB_Space' ) ) {
	class CHESHALO_HB_Space extends CHESHALO_HB_Element {

		public function __construct() {
			parent::__construct();
			$this->template_name = 'space';
		}

		public function map() {
			$this->args = array(
				'type' => 'space',
				'title' => esc_html__( 'Space', 'cheshalo' ),
				'text' => esc_html__( 'Horizontal spacing', 'cheshalo' ),
				'icon' => CHESHALO_ASSETS_IMAGES . '/header-builder/icons/hb-ico-space.svg',
				'editable' => true,
				'container' => false,
				'edit_on_create' => true,
				'drag_target_for' => array(),
				'drag_source' => 'content_element',
				'removable' => true,
				'addable' => true,
				'params' => array(
					'width' => array(
						'id' => 'width',
						'title' => esc_html__( 'Space width', 'cheshalo' ),
						'type' => 'slider',
						'tab' => esc_html__( 'General', 'cheshalo' ),
						'from' => 0,
						'to'=> 200,
						'value' => 10,
						'units' => 'px',
						'description' => esc_html__( 'Determine the space width.', 'cheshalo' ),
					),
					'css_class' => array(
						'id' => 'css_class',
						'title' => esc_html__( 'Additional CSS class', 'cheshalo' ),
						'type' => 'text',
						'tab' => esc_html__( 'Styles', 'cheshalo' ),
						'value' => '',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
					),
				)
			);
		}
	}
}
