<?php if ( ! defined("CHESHALO_THEME_DIR")) exit("No direct script access allowed");

/**
 * ------------------------------------------------------------------------------------------------
 * Default header builder settings
 * ------------------------------------------------------------------------------------------------
 */

$header_settings = array(
	'overlap' => array(
		'id' => 'overlap',
		'title' => 'همپوشانی',
		'type' => 'switcher',
		'tab' => 'General',
		'value' => false,
		'description' => 'هدر را با مطالب همپوشانی کنید.'
	),
	'boxed' => array(
		'id' => 'boxed',
		'title' => 'Make it boxed',
		'type' => 'switcher',
		'tab' => 'General',
		'value' => false,
		'description' => 'The header will be boxed instead of full width',
		'requires' => array(
			'overlap' => array(
				'comparison' => 'equal',
				'value' => true
			),
	  	),
	),
	'full_width' => array(
		'id' => 'full_width',
		'title' => 'هدر تمام عرض',
		'type' => 'switcher',
		'tab' => 'General',
		'value' => false,
		'description' => 'طرح عرض کامل برای هدر.'
	),
	'dropdowns_dark' => array(
		'id' => 'dropdowns_dark',
		'title' => 'کشویی تاریک هدر ',
		'type' => 'switcher',
		'tab' => 'General',
		'value' => false,
		'description' => 'منوی کشویی، سبد خرید، جستجو، منوی کشویی را در طرح رنگ تیره ایجاد کنید.'
	),
	'sticky_shadow' => array(
		'id' => 'sticky_shadow',
		'title' => 'سایه هدر چسبنده',
		'type' => 'switcher',
		'tab' => 'Sticky header',
		'value' => true,
		'description' => 'وقتی هدر چسبنده است، سایه اضافه کنید.'
	),
	'hide_on_scroll' => array(
		'id' => 'hide_on_scroll',
		'title' => esc_html__( 'Hide when scrolling down', 'cheshalo' ),
		'type' => 'switcher',
		'tab' => 'Sticky header',
		'value' => false,
		'description' => esc_html__( 'Hides the sticky header when you scroll the page down. And shows only when you scroll top.', 'cheshalo' ),
	),
	'sticky_effect' => array(
	  'id' => 'sticky_effect',
	  'title' => 'افکت چسبنده',
	  'type' => 'selector',
	  'tab' => 'Sticky header',
	  'value' => 'stick',
	  'options' => array(
		'stick' => array(
		  'value' => 'stick',
		  'label' => 'چسبنده در اسکرول',
		),
		'slide' => array(
		  'value' => 'slide',
		  'label' => 'بعد از پیمایش به پایین، اسلاید کنید',
		),
	  ),
	  'description' => 'شما می توانید از بین دو نوع افکت هدر چسبنده یکی را انتخاب کنید.'
	),
	'sticky_clone' => array(
		'id' => 'sticky_clone',
		'title' => 'Sticky header clone',
		'type' => 'switcher',
		'tab' => 'Sticky header',
		'value' => false,
		'requires' => array(
		  'sticky_effect' => array(
			'comparison' => 'equal',
			'value' => 'slide'
		  )
		),
		'description' => 'Sticky header will clone elements from the header (logo, menu, search and shopping cart widget) and show them in one line.'
	),
	'sticky_height' => array(
	  'id' => 'sticky_height',
	  'title' => 'Sticky header height',
	  'type' => 'slider',
	  'tab' => 'Sticky header',
	  'from' => 0,
	  'to'=> 200,
	  'value' => 50,
	  'units' => 'px',
	  'description' => 'Determine header height for sticky header value in pixels.',
	  'requires' => array(
		'sticky_clone' => array(
		  'comparison' => 'equal',
		  'value' => true
		),
		'sticky_effect' => array(
		  'comparison' => 'equal',
		  'value' => 'slide'
		)
	  ),
	),
);

return apply_filters( 'cheshalo_default_header_settings', $header_settings );
