<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );}

if ( ! function_exists( 'cheshalo_vc_extra_classes' ) ) {

	if ( defined( 'VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG' ) ) {
		add_filter( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'cheshalo_vc_extra_classes', 30, 3 );
	}

	function cheshalo_vc_extra_classes( $class, $base, $atts ) {
		if ( ! empty( $atts['cheshalo_inline'] ) && 'yes' === $atts['cheshalo_inline'] ) {
			$class .= ' inline-element';
		}
		if ( ! empty( $atts['cheshalo_color_scheme'] ) ) {
			$class .= ' color-scheme-' . $atts['cheshalo_color_scheme'];
		}
		if ( isset( $atts['text_larger'] ) && $atts['text_larger'] == 'yes' ) {
			$class .= ' text-larger';
		}
		if ( isset( $atts['cheshalo_sticky_column'] ) && $atts['cheshalo_sticky_column'] == 'true' ) {
			$class .= ' cheshalo-sticky-column';

			if ( isset( $atts['cheshalo_sticky_column_offset'] ) && $atts['cheshalo_sticky_column_offset'] ) {
				$class .= ' wd_sticky_offset_' . $atts['cheshalo_sticky_column_offset'];
			}
			cheshalo_enqueue_js_library( 'sticky-kit' );
			cheshalo_enqueue_js_script( 'sticky-column' );
		}
		if ( isset( $atts['cheshalo_parallax'] ) && $atts['cheshalo_parallax'] ) {
			$class .= ' wd-parallax';
			$class .= cheshalo_get_old_classes( ' cheshalo-parallax' );
			cheshalo_enqueue_js_library( 'parallax' );
			cheshalo_enqueue_js_script( 'parallax' );
		}
		if ( isset( $atts['cheshalo_disable_overflow'] ) && $atts['cheshalo_disable_overflow'] ) {
			$class .= ' wd-disable-overflow';
		}
		if ( isset( $atts['cheshalo_gradient_switch'] ) && $atts['cheshalo_gradient_switch'] == 'yes' && apply_filters( 'cheshalo_gradients_enabled', true ) ) {
			$class .= ' wd-row-gradient-enable';
		}
		// Bg option
		if ( ! empty( $atts['cheshalo_bg_position'] ) ) {
			$class .= ' wd-bg-' . $atts['cheshalo_bg_position'];
		}
		// Text align option
		if ( ! empty( $atts['cheshalo_text_align'] ) ) {
			$class .= ' text-' . $atts['cheshalo_text_align'];
		}
		// Responsive opt
		if ( isset( $atts['cheshalo_hide_large'] ) && $atts['cheshalo_hide_large'] ) {
			$class .= ' hidden-lg';
		}
		if ( isset( $atts['cheshalo_hide_medium'] ) && $atts['cheshalo_hide_medium'] ) {
			$class .= ' hidden-md';
		}
		if ( isset( $atts['cheshalo_hide_small'] ) && $atts['cheshalo_hide_small'] ) {
			$class .= ' hidden-sm';
		}
		if ( isset( $atts['cheshalo_hide_extra_small'] ) && $atts['cheshalo_hide_extra_small'] ) {
			$class .= ' hidden-xs';
		}
		// Row reverse opt
		if ( isset( $atts['row_reverse_mobile'] ) && $atts['row_reverse_mobile'] ) {
			$class .= ' row-reverse-mobile';
		}
		if ( isset( $atts['row_reverse_tablet'] ) && $atts['row_reverse_tablet'] ) {
			$class .= ' row-reverse-tablet';
		}

		// Hide bg img on mobile
		if ( isset( $atts['mobile_bg_img_hidden'] ) && $atts['mobile_bg_img_hidden'] == 'yes' ) {
			$class .= ' mobile-bg-img-hidden';
		}

		// Hide bg img on tablet
		if ( isset( $atts['tablet_bg_img_hidden'] ) && $atts['tablet_bg_img_hidden'] == 'yes' ) {
			$class .= ' tablet-bg-img-hidden';
		}

		// Reset margins
		if ( isset( $atts['mobile_reset_margin'] ) && $atts['mobile_reset_margin'] == 'yes' ) {
			$class .= ' reset-margin-mobile';
		}

		if ( isset( $atts['tablet_reset_margin'] ) && $atts['tablet_reset_margin'] == 'yes' ) {
			$class .= ' reset-margin-tablet';
		}

		if ( ! empty( $atts['wd_animation'] ) ) {
			$class .= ' wd-animation-' . $atts['wd_animation'];

			if ( ! empty( $atts['wd_animation_duration'] ) ) {
				$class .= ' wd-animation-' . $atts['wd_animation_duration'];
			}

			if ( ! empty( $atts['wd_animation_delay'] ) ) {
				$class .= ' wd_delay_' . $atts['wd_animation_delay'];
			}
		}

		return $class;
	}
}

if ( ! function_exists( 'cheshalo_section_title_color_variation' ) ) {
	function cheshalo_section_title_color_variation() {
		$variation  = array(
			esc_html__( 'Default', 'cheshalo' )           => 'default',
			esc_html__( 'Primary color', 'cheshalo' )     => 'primary',
			esc_html__( 'Alternative color', 'cheshalo' ) => 'alt',
			esc_html__( 'Black', 'cheshalo' )             => 'black',
			esc_html__( 'White', 'cheshalo' )             => 'white',
		);
		$variation2 = array( esc_html__( 'Gradient', 'cheshalo' ) => 'gradient' );
		if ( apply_filters( 'cheshalo_gradients_enabled', true ) ) {
			$variation = array_merge( $variation, $variation2 );
		}
		return $variation;
	}
}

if ( ! function_exists( 'cheshalo_title_gradient_picker' ) ) {
	function cheshalo_title_gradient_picker() {
		$title_color = array(
			'type'       => 'cheshalo_gradient',
			'param_name' => 'cheshalo_color_gradient',
			'heading'    => esc_html__( 'Gradient title color', 'cheshalo' ),
			'dependency' => array(
				'element' => 'color',
				'value'   => array( 'gradient' ),
			),
		);
		if ( ! apply_filters( 'cheshalo_gradients_enabled', true ) ) {
			$title_color = false;
		}
		return $title_color;
	}
}


if ( ! function_exists( 'cheshalo_vc_map_shortcodes' ) ) {

	add_action( 'vc_before_init', 'cheshalo_vc_map_shortcodes' );

	function cheshalo_vc_map_shortcodes() {
		$display_inline = array(
			'type'        => 'cheshalo_switch',
			'heading'     => esc_html__( 'Display inline', 'cheshalo' ),
			'group'       => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'param_name'  => 'cheshalo_inline',
			'true_state'  => 'yes',
			'false_state' => 'no',
			'default'     => 'no',
		);

		vc_add_param(
			'vc_single_image',
			cheshalo_get_vc_animation_map()
		);

		vc_add_param(
			'vc_single_image',
			cheshalo_get_vc_animation_delay_map()
		);

		vc_add_param(
			'vc_single_image',
			cheshalo_get_vc_animation_duration_map()
		);

		vc_add_param(
			'vc_column_text',
			cheshalo_get_vc_animation_map()
		);

		vc_add_param(
			'vc_column_text',
			cheshalo_get_vc_animation_delay_map()
		);

		vc_add_param(
			'vc_column_text',
			cheshalo_get_vc_animation_duration_map()
		);

		vc_add_param( 'vc_single_image', $display_inline );
		vc_add_param( 'vc_column_text', $display_inline );
		/**
		 * ------------------------------------------------------------------------------------------------
		 * Background position
		 * ------------------------------------------------------------------------------------------------
		 */

		$cheshalo_bg_position = array(
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Background position', 'cheshalo' ),
			'param_name'       => 'cheshalo_bg_position',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'value'            => array(
				esc_html__( 'None', 'cheshalo' )          => '',
				esc_html__( 'Left top', 'cheshalo' )      => 'left-top',
				esc_html__( 'Left center', 'cheshalo' )   => 'left-center',
				esc_html__( 'Left bottom', 'cheshalo' )   => 'left-bottom',
				esc_html__( 'Right top', 'cheshalo' )     => 'right-top',
				esc_html__( 'Right center', 'cheshalo' )  => 'right-center',
				esc_html__( 'Right bottom', 'cheshalo' )  => 'right-bottom',
				esc_html__( 'Center top', 'cheshalo' )    => 'center-top',
				esc_html__( 'Center center', 'cheshalo' ) => 'center-center',
				esc_html__( 'Center bottom', 'cheshalo' ) => 'center-bottom',
			),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $cheshalo_bg_position );
		vc_add_param( 'vc_row_inner', $cheshalo_bg_position );
		vc_add_param( 'vc_section', $cheshalo_bg_position );
		vc_add_param( 'vc_column', $cheshalo_bg_position );
		vc_add_param( 'vc_column_inner', $cheshalo_bg_position );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Hide bg img on mobile
		 * ------------------------------------------------------------------------------------------------
		 */

		$mobile_bg_img_hidden = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Disable background on mobile', 'cheshalo' ),
			'hint'             => esc_html__( 'Turn on to reset background image on mobile devices', 'cheshalo' ),
			'param_name'       => 'mobile_bg_img_hidden',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 'yes',
			'false_state'      => 'no',
			'default'          => 'no',
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $mobile_bg_img_hidden );
		vc_add_param( 'vc_section', $mobile_bg_img_hidden );
		vc_add_param( 'vc_column', $mobile_bg_img_hidden );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Hide bg img on tablet
		 * ------------------------------------------------------------------------------------------------
		 */

		$tablet_bg_img_hidden = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Disable background on tablet', 'cheshalo' ),
			'hint'             => esc_html__( 'Turn on to reset background image on tablet devices', 'cheshalo' ),
			'param_name'       => 'tablet_bg_img_hidden',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 'yes',
			'false_state'      => 'no',
			'default'          => 'no',
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $tablet_bg_img_hidden );
		vc_add_param( 'vc_section', $tablet_bg_img_hidden );
		vc_add_param( 'vc_column', $tablet_bg_img_hidden );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Parallax option
		 * ------------------------------------------------------------------------------------------------
		 */

		$attributes = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Cheshalo parallax', 'cheshalo' ),
			'param_name'       => 'cheshalo_parallax',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $attributes );
		vc_add_param( 'vc_section', $attributes );
		vc_add_param( 'vc_column', $attributes );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Gradient option
		 * ------------------------------------------------------------------------------------------------
		 */
		if ( apply_filters( 'cheshalo_gradients_enabled', true ) ) {
			$cheshalo_gradient_switch = array(
				'type'             => 'cheshalo_switch',
				'heading'          => esc_html__( 'cheshalo gradient', 'cheshalo' ),
				'param_name'       => 'cheshalo_gradient_switch',
				'group'            => esc_html__( 'cheshalo Extras', 'cheshalo' ),
				'true_state'       => 'yes',
				'false_state'      => 'no',
				'default'          => 'no',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			);

			$cheshalo_color_gradient = array(
				'type'       => 'cheshalo_gradient',
				'param_name' => 'cheshalo_color_gradient',
				'group'      => esc_html__( 'cheshalo Extras', 'cheshalo' ),
				'dependency' => array(
					'element' => 'cheshalo_gradient_switch',
					'value'   => array( 'yes' ),
				),
			);

			vc_add_param( 'vc_row', $cheshalo_gradient_switch );
			vc_add_param( 'vc_section', $cheshalo_gradient_switch );

			vc_add_param( 'vc_row', $cheshalo_color_gradient );
			vc_add_param( 'vc_section', $cheshalo_color_gradient );
		}

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Hide option
		 * ------------------------------------------------------------------------------------------------
		 */

		$cheshalo_hide_large = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Hide on large', 'cheshalo' ),
			'param_name'       => 'cheshalo_hide_large',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		$cheshalo_hide_medium = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Hide on medium', 'cheshalo' ),
			'param_name'       => 'cheshalo_hide_medium',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		$cheshalo_hide_small = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Hide on small', 'cheshalo' ),
			'param_name'       => 'cheshalo_hide_small',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		$cheshalo_hide_extra_small = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Hide on extra small', 'cheshalo' ),
			'param_name'       => 'cheshalo_hide_extra_small',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_empty_space', $cheshalo_hide_large );
		vc_add_param( 'vc_empty_space', $cheshalo_hide_medium );
		vc_add_param( 'vc_empty_space', $cheshalo_hide_small );
		vc_add_param( 'vc_empty_space', $cheshalo_hide_extra_small );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Row reverse mobile
		 * ------------------------------------------------------------------------------------------------
		 */

		$cheshalo_row_reverse_mobile = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Row reverse on mobile', 'cheshalo' ),
			'param_name'       => 'row_reverse_mobile',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $cheshalo_row_reverse_mobile );
		vc_add_param( 'vc_row_inner', $cheshalo_row_reverse_mobile );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Row reverse tablet
		 * ------------------------------------------------------------------------------------------------
		 */

		$cheshalo_row_reverse_tablet = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Row reverse on tablet', 'cheshalo' ),
			'param_name'       => 'row_reverse_tablet',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $cheshalo_row_reverse_tablet );
		vc_add_param( 'vc_row_inner', $cheshalo_row_reverse_tablet );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Gradient option
		 * ------------------------------------------------------------------------------------------------
		 */
		if ( apply_filters( 'cheshalo_gradients_enabled', true ) ) {
			$cheshalo_gradient_switch = array(
				'type'             => 'cheshalo_switch',
				'heading'          => esc_html__( 'Cheshalo gradient', 'cheshalo' ),
				'param_name'       => 'cheshalo_gradient_switch',
				'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
				'true_state'       => 'yes',
				'false_state'      => 'no',
				'default'          => 'no',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			);

			$cheshalo_color_gradient = array(
				'type'       => 'cheshalo_gradient',
				'param_name' => 'cheshalo_color_gradient',
				'group'      => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
				'dependency' => array(
					'element' => 'cheshalo_gradient_switch',
					'value'   => array( 'yes' ),
				),
			);

			vc_add_param( 'vc_row', $cheshalo_gradient_switch );
			vc_add_param( 'vc_section', $cheshalo_gradient_switch );

			vc_add_param( 'vc_row', $cheshalo_color_gradient );
			vc_add_param( 'vc_section', $cheshalo_color_gradient );
		}

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Disable overflow
		 * ------------------------------------------------------------------------------------------------
		 */

		$cheshalo_disable_overflow = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Disable "overflow:hidden;"', 'cheshalo' ),
			'param_name'       => 'cheshalo_disable_overflow',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 1,
			'false_state'      => 0,
			'default'          => 0,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_row', $cheshalo_disable_overflow );
		vc_add_param( 'vc_section', $cheshalo_disable_overflow );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Add options to columns and text block
		 * ------------------------------------------------------------------------------------------------
		 */

		vc_remove_param( 'vc_column', 'el_class' );

		vc_add_param( 'vc_column', cheshalo_get_color_scheme_param() );

		vc_add_param(
			'vc_column',
			array(
				'type'             => 'cheshalo_switch',
				'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
				'heading'          => esc_html__( 'Enable sticky column', 'cheshalo' ),
				'description'      => esc_html__( 'Also enable equal columns height for the parent row to make it work', 'cheshalo' ),
				'param_name'       => 'cheshalo_sticky_column',
				'true_state'       => 'true',
				'false_state'      => 'false',
				'default'          => 'false',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			)
		);
		vc_add_param(
			'vc_column',
			array(
				'type'             => 'textfield',
				'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
				'heading'          => esc_html__( 'Sticky column offset', 'cheshalo' ),
				'param_name'       => 'cheshalo_sticky_column_offset',
				'dependency'       => array(
					'element' => 'cheshalo_sticky_column',
					'value'   => array( 'true' ),
				),
				'value'            => 150,
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			)
		);
		vc_add_param(
			'vc_column',
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'cheshalo' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
			)
		);

		vc_remove_param( 'vc_column_text', 'el_class' );

		vc_add_param( 'vc_column_text', cheshalo_get_color_scheme_param() );

		vc_add_param(
			'vc_column_text',
			array(
				'type'             => 'cheshalo_switch',
				'heading'          => esc_html__( 'Text larger', 'cheshalo' ),
				'param_name'       => 'text_larger',
				'true_state'       => 'yes',
				'false_state'      => 'no',
				'default'          => 'no',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			)
		);

		vc_add_param(
			'vc_column_text',
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'cheshalo' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
			)
		);

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Update images carousel parameters
		 * ------------------------------------------------------------------------------------------------
		 */
		vc_remove_param( 'vc_images_carousel', 'mode' );
		vc_remove_param( 'vc_images_carousel', 'partial_view' );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Parallax scroll
		 * ------------------------------------------------------------------------------------------------
		 */

		$vc_image_new_params = cheshalo_parallax_scroll_map();

		vc_add_params( 'vc_single_image', $vc_image_new_params );

		vc_add_params( 'vc_column', $vc_image_new_params );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Text align
		 * ------------------------------------------------------------------------------------------------
		 */

		$cheshalo_text_align = array(
			'type'             => 'dropdown',
			'heading'          => esc_html__( 'Text align', 'cheshalo' ),
			'param_name'       => 'cheshalo_text_align',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'value'            => array(
				esc_html__( 'Choose', 'cheshalo' ) => '',
				esc_html__( 'Left', 'cheshalo' )   => 'left',
				esc_html__( 'Center', 'cheshalo' ) => 'center',
				esc_html__( 'Right', 'cheshalo' )  => 'right',
			),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_column', $cheshalo_text_align );
		vc_add_param( 'vc_column_inner', $cheshalo_text_align );

		/**
		 * ------------------------------------------------------------------------------------------------
		 * Reset margins
		 * ------------------------------------------------------------------------------------------------
		 */

		$mobile_reset_margin = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Reset margin on mobile', 'cheshalo' ),
			'param_name'       => 'mobile_reset_margin',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 'yes',
			'false_state'      => 'no',
			'default'          => 'no',
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_column', $mobile_reset_margin );

		$tablet_reset_margin = array(
			'type'             => 'cheshalo_switch',
			'heading'          => esc_html__( 'Reset margin on tablet', 'cheshalo' ),
			'param_name'       => 'tablet_reset_margin',
			'group'            => esc_html__( 'Cheshalo Extras', 'cheshalo' ),
			'true_state'       => 'yes',
			'false_state'      => 'no',
			'default'          => 'no',
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		);

		vc_add_param( 'vc_column', $tablet_reset_margin );

		vc_add_param(
			'contact-form-7',
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'cheshalo' ),
				'param_name' => 'html_class',
				'value'      => array(
					esc_html__( 'Default', 'cheshalo' ) => '',
					esc_html__( 'With background', 'cheshalo' ) => 'wd-style-with-bg',
				),
				'std'        => '',
			)
		);
	}
}

if ( ! function_exists( 'cheshalo_get_color_scheme_param' ) ) {
	function cheshalo_get_color_scheme_param( $column = false ) {
		$color_scheme = array(
			'type'       => 'cheshalo_button_set',
			'heading'    => esc_html__( 'Color Scheme', 'cheshalo' ),
			'param_name' => 'cheshalo_color_scheme',
			'value'      => array(
				esc_html__( 'Inherit', 'cheshalo' ) => '',
				esc_html__( 'Light', 'cheshalo' )   => 'light',
				esc_html__( 'Dark', 'cheshalo' )    => 'dark',
			),
		);

		if ( $column ) {
			$color_scheme['edit_field_class'] = 'vc_col-sm-' . $column . ' vc_column';
		}
		return apply_filters( 'cheshalo_get_color_scheme_param', $color_scheme );
	}
}

// **********************************************************************//
// Add custom animations to WPB Composer
// **********************************************************************//

if ( ! function_exists( 'cheshalo_add_css_animation' ) ) {
	function cheshalo_add_css_animation( $animations ) {
		$animations[] = array(
			'label'  => esc_html__( 'Cheshalo Animations', 'cheshalo' ),
			'values' => array(
				esc_html__( 'Slide from top', 'cheshalo' ) => array(
					'value' => 'wd-slide-from-top',
					'type'  => 'in',
				),
				esc_html__( 'Slide from bottom', 'cheshalo' ) => array(
					'value' => 'wd-slide-from-bottom',
					'type'  => 'in',
				),
				esc_html__( 'Slide from left', 'cheshalo' ) => array(
					'value' => 'wd-slide-from-left',
					'type'  => 'in',
				),
				esc_html__( 'Slide from right', 'cheshalo' ) => array(
					'value' => 'wd-slide-from-right',
					'type'  => 'in',
				),
				esc_html__( 'Right flip Y', 'cheshalo' )   => array(
					'value' => 'wd-right-flip-y',
					'type'  => 'in',
				),
				esc_html__( 'Left flip Y', 'cheshalo' )    => array(
					'value' => 'wd-left-flip-y',
					'type'  => 'in',
				),
				esc_html__( 'Top flip X', 'cheshalo' )     => array(
					'value' => 'wd-top-flip-x',
					'type'  => 'in',
				),
				esc_html__( 'Bottom flip X', 'cheshalo' )  => array(
					'value' => 'wd-bottom-flip-x',
					'type'  => 'in',
				),
				esc_html__( 'Zoom in', 'cheshalo' )        => array(
					'value' => 'wd-zoom-in',
					'type'  => 'in',
				),
				esc_html__( 'Rotate Z', 'cheshalo' )       => array(
					'value' => 'wd-rotate-z',
					'type'  => 'in',
				),
			),
		);

		return $animations;
	}

	add_action( 'vc_param_animation_style_list', 'cheshalo_add_css_animation', 1000 );
}

if ( ! function_exists( 'cheshalo_get_vc_animation_map' ) ) {
	/**
	 * Get animation map settings for VC.
	 *
	 * @return array
	 */
	function cheshalo_get_vc_animation_map() {
		return array(
			'type'        => 'dropdown',
			'heading'     => esc_html__( 'Animation', 'cheshalo' ),
			'group'       => esc_html__( 'Animations', 'cheshalo' ),
			'param_name'  => 'wd_animation',
			'admin_label' => true,
			'value'       => array(
				esc_html__( 'None', 'cheshalo' )           => '',
				esc_html__( 'Slide from top', 'cheshalo' ) => 'slide-from-top',
				esc_html__( 'Slide from bottom', 'cheshalo' ) => 'slide-from-bottom',
				esc_html__( 'Slide from left', 'cheshalo' ) => 'slide-from-left',
				esc_html__( 'Slide from right', 'cheshalo' ) => 'slide-from-right',
				esc_html__( 'Flip X bottom', 'cheshalo' )  => 'bottom-flip-x',
				esc_html__( 'Flip X top', 'cheshalo' )     => 'top-flip-x',
				esc_html__( 'Flip Y left', 'cheshalo' )    => 'left-flip-y',
				esc_html__( 'Flip Y right', 'cheshalo' )   => 'right-flip-y',
				esc_html__( 'Zoom in', 'cheshalo' )        => 'zoom-in',
			),
			'std'         => '',
		);
	}
}

if ( ! function_exists( 'cheshalo_get_vc_animation_delay_map' ) ) {
	/**
	 * Get animation delay map settings for VC.
	 *
	 * @return array
	 */
	function cheshalo_get_vc_animation_delay_map() {
		return array(
			'type'       => 'textfield',
			'heading'    => esc_html__( 'Animation Delay (ms)', 'cheshalo' ),
			'group'      => esc_html__( 'Animations', 'cheshalo' ),
			'param_name' => 'wd_animation_delay',
			'dependency' => array(
				'element'            => 'wd_animation',
				'value_not_equal_to' => array( '' ),
			),
		);
	}
}

if ( ! function_exists( 'cheshalo_get_vc_animation_duration_map' ) ) {
	/**
	 * Get animation duration map settings for VC.
	 *
	 * @return array
	 */
	function cheshalo_get_vc_animation_duration_map() {
		return array(
			'type'       => 'dropdown',
			'heading'    => esc_html__( 'Animation duration', 'cheshalo' ),
			'group'      => esc_html__( 'Animations', 'cheshalo' ),
			'param_name' => 'wd_animation_duration',
			'value'      => array(
				esc_html__( 'Slow', 'cheshalo' )   => 'slow',
				esc_html__( 'Normal', 'cheshalo' ) => 'normal',
				esc_html__( 'Fast', 'cheshalo' )   => 'fast',
			),
			'dependency' => array(
				'element'            => 'wd_animation',
				'value_not_equal_to' => array( '' ),
			),
			'std'        => 'normal',
		);
	}
}

if ( ! function_exists( 'cheshalo_get_vc_animations_css_classes' ) ) {
	/**
	 * Get animation CSS classes.
	 *
	 * @param array $data Element data.
	 *
	 * @return string
	 */
	function cheshalo_get_vc_animations_css_classes( $data ) {
		$classes = '';

		if ( ! empty( $data['wd_animation'] ) ) {
			cheshalo_enqueue_js_library( 'waypoints' );
			cheshalo_enqueue_js_script( 'animations' );
			cheshalo_enqueue_inline_style( 'animations' );

			$duration = ! empty( $data['wd_animation_duration'] ) ? $data['wd_animation_duration'] : 'normal';

			$classes .= ' wd-animation-' . $data['wd_animation'];
			$classes .= ' wd-animation-' . $duration;

			if ( ! empty( $data['wd_animation_delay'] ) ) {
				$classes .= ' wd_delay_' . $data['wd_animation_delay'];
			}
		}

		return $classes;
	}
}
