<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
*  AJAX search element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_vc_map_ajax_search' ) ) {
	function cheshalo_vc_map_ajax_search() {
		if ( ! shortcode_exists( 'cheshalo_ajax_search' ) ) {
			return;
		}

		vc_map( array(
			'name' => esc_html__( 'AJAX Search', 'cheshalo' ),
			'description' => esc_html__( 'Shows AJAX search form', 'cheshalo' ),
			'base' => 'cheshalo_ajax_search',
			'category' => esc_html__( 'Theme elements', 'cheshalo' ),
        	'icon' => CHESHALO_ASSETS . '/images/vc-icon/ajax-search.svg',
			'params' => array(
				/**
				* Search results
				*/
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Search results', 'cheshalo' ),
					'param_name' => 'results_divider'
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Number results to show', 'cheshalo' ),
					'param_name' => 'number',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_button_set',
					'heading' => esc_html__('Search post type', 'cheshalo'), 
					'param_name' => 'search_post_type',
					'value' => array(
						esc_html__( 'Product', 'cheshalo' ) => 'product',
						esc_html__( 'Post', 'cheshalo' ) => 'post',
						esc_html__( 'Portfolio', 'cheshalo' ) => 'portfolio',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				/**
				* Style
				*/
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Style', 'cheshalo' ),
					'param_name' => 'style_divider'
				),
				cheshalo_get_color_scheme_param(),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Show price', 'cheshalo' ),
					'param_name' => 'price',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 1,
					'edit_field_class' => 'vc_col-sm-4 vc_column',
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Show thumbnail', 'cheshalo' ),
					'param_name' => 'thumbnail',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 1,
					'edit_field_class' => 'vc_col-sm-4 vc_column',
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Show category', 'cheshalo' ),
					'param_name' => 'category',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 1,
					'edit_field_class' => 'vc_col-sm-4 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				),
				array(
					'type' => 'css_editor',
					'heading' => esc_html__( 'CSS box', 'cheshalo' ),
					'param_name' => 'css',
					'group' => esc_html__( 'Design Options', 'cheshalo' )
				),
			),
		) );
	}
	add_action( 'vc_before_init', 'cheshalo_vc_map_ajax_search' );
}
