<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* Animated counter element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_vc_map_animated_counter' ) ) {
	function cheshalo_vc_map_animated_counter() {
		if ( ! shortcode_exists( 'cheshalo_counter' ) ) {
			return;
		}

		vc_map( array(
			'name' => esc_html__( 'Animated Counter', 'cheshalo' ),
			'description' => esc_html__( 'Shows animated counter with label', 'cheshalo' ),
			'base' => 'cheshalo_counter',
			'category' => esc_html__( 'Theme elements', 'cheshalo' ),
        	'icon' => CHESHALO_ASSETS . '/images/vc-icon/animated-counter.svg',
			'params' => array(
				array(
					'type' => 'cheshalo_css_id',
					'param_name' => 'cheshalo_css_id'
				),
				/**
				* Text
				*/
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Text', 'cheshalo' ),
					'param_name' => 'text_divider'
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Label', 'cheshalo' ),
					'param_name' => 'label',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Actual value', 'cheshalo' ),
					'param_name' => 'value',
					'hint' => esc_html__('Our final point. For ex.: 95', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				/**
				* Style
				*/
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Style', 'cheshalo' ),
					'param_name' => 'style_divider'
				),
				array(
					'type' => 'cheshalo_button_set',
					'heading' => esc_html__( 'Size', 'cheshalo' ),
					'param_name' => 'size',
					'value' => array(
						esc_html__( 'Default', 'cheshalo' ) => '',
						esc_html__( 'Small', 'cheshalo' ) => 'small',
						esc_html__( 'Large', 'cheshalo' ) => 'large',
						esc_html__( 'Extra large', 'cheshalo' ) => 'extra-large'
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Countdown number font weight', 'cheshalo' ),
					'param_name' => 'font_weight',
					'value' => array(
						'' => '',
						esc_html__( 'Ultra-Light 100', 'cheshalo' ) => 100,
						esc_html__( 'Light 200', 'cheshalo' ) => 200,
						esc_html__( 'Book 300', 'cheshalo' ) => 300,
						esc_html__( 'Normal 400', 'cheshalo' ) => 400,
						esc_html__( 'Medium 500', 'cheshalo' ) => 500,
						esc_html__( 'Semi-Bold 600', 'cheshalo' ) => 600,
						esc_html__( 'Bold 700', 'cheshalo' ) => 700,
						esc_html__( 'Extra-Bold 800', 'cheshalo' ) => 800,
						esc_html__( 'Ultra-Bold 900', 'cheshalo' ) => 900,
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_image_select',
					'heading' => esc_html__( 'Align', 'cheshalo' ),
					'param_name' => 'align',
				    'value' => array( 
						esc_html__( 'Left', 'cheshalo' ) => 'left',
						esc_html__( 'Center', 'cheshalo' ) => 'center',
						esc_html__( 'Right', 'cheshalo' ) => 'right',
					),
					'images_value' => array(
						'center' => CHESHALO_ASSETS_IMAGES . '/settings/align/center.jpg',
						'left' => CHESHALO_ASSETS_IMAGES . '/settings/align/left.jpg',
						'right' => CHESHALO_ASSETS_IMAGES . '/settings/align/right.jpg',
					),
					'std' => 'center',
					'wood_tooltip' => true,
					'edit_field_class' => 'vc_col-sm-6 vc_column title-align',
				),
				array(
					'type' => 'cheshalo_button_set',
					'heading' => esc_html__( 'Color scheme', 'cheshalo' ),
					'param_name' => 'color_scheme',
					'value' => array(
						esc_html__( 'Inherit', 'cheshalo' ) => '',
						esc_html__( 'Light', 'cheshalo' ) => 'light',
						esc_html__( 'Dark', 'cheshalo' ) => 'dark',
						esc_html__( 'Custom', 'cheshalo' ) => 'custom'
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_colorpicker',
					'heading' => esc_html__( 'Custom color', 'cheshalo' ),
					'param_name' => 'color',
					'css_args' => array(
						'color' => array(
							'.cheshalo-counter',
						),
					),
					'dependency' => array(
						'element' => 'color_scheme',
						'value' => array( 'custom' )
					) 
				),
				/**
				* Extra
				*/
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider'
				),
				( function_exists( 'vc_map_add_css_animation' ) ) ? vc_map_add_css_animation( true ) : '',
				array(
					'type' => 'css_editor',
					'heading' => esc_html__( 'CSS box', 'cheshalo' ),
					'param_name' => 'css',
					'group' => esc_html__( 'Design Options', 'cheshalo' )
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				)
			)
		) );
	}
	add_action( 'vc_before_init', 'cheshalo_vc_map_animated_counter' );
}
