<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* Mega Menu widget element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_vc_map_mega_menu' ) ) {
	function cheshalo_vc_map_mega_menu() {
		if ( ! shortcode_exists( 'cheshalo_mega_menu' ) ) {
			return;
		}
		
		vc_map( array(
			'name' => esc_html__( 'Mega Menu widget', 'cheshalo' ),
			'base' => 'cheshalo_mega_menu',
			'category' => esc_html__( 'Theme elements', 'cheshalo' ),
			'description' => esc_html__( 'Categories mega menu widget', 'cheshalo' ),
        	'icon' => CHESHALO_ASSETS . '/images/vc-icon/mega-menu-widget.svg',
			'params' => array(
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Gereral options', 'cheshalo' ),
					'param_name' => 'general_divider',
				),
				array(
					'type' => 'cheshalo_css_id',
					'param_name' => 'cheshalo_css_id'
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'cheshalo' ),
					'param_name' => 'title',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Choose Menu', 'cheshalo' ),
					'param_name' => 'nav_menu',
					'value' => cheshalo_get_menus_array(),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				cheshalo_get_color_scheme_param( 6 ),
				array(
					'type' => 'cheshalo_colorpicker',
					'heading' => esc_html__( 'Title background color', 'cheshalo' ),
					'param_name' => 'color',
					'css_args' => array(
						'background-color' => array(
							' .widget-title',
						),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				)
			),
		) );
	}
	add_action( 'vc_before_init', 'cheshalo_vc_map_mega_menu' );
}
