<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

/**
 * ------------------------------------------------------------------------------------------------
 * Size guide element map
 * ------------------------------------------------------------------------------------------------
 */

if ( ! function_exists( 'cheshalo_vc_map_size_guide' ) ) {
	function cheshalo_vc_map_size_guide() {
		if ( ! shortcode_exists( 'cheshalo_size_guide' ) ) {
			return;
		}

		vc_map(
			array(
				'name'        => esc_html__( 'Size guide', 'cheshalo' ),
				'base'        => 'cheshalo_size_guide',
				'class'       => '',
				'category'    => esc_html__( 'Theme elements', 'cheshalo' ),
				'description' => esc_html__( 'Display size guide table anywhere', 'cheshalo' ),
				'icon'        => CHESHALO_ASSETS . '/images/vc-icon/size-guide.svg',
				'params'      => array(
					/**
					* Content
					*/
				   array(
					   'type'       => 'cheshalo_title_divider',
					   'holder'     => 'div',
					   'title'      => esc_html__( 'Content', 'cheshalo' ),
					   'param_name' => 'content_divider',
				   ),
					array(
						'type'       => 'dropdown',
						'heading'    => esc_html__( 'Select size guide', 'cheshalo' ),
						'param_name' => 'id',
						'value'      => cheshalo_get_size_guides_array(),
					),
					array(
						'type' => 'cheshalo_switch',
						'heading' => esc_html__( 'Show title', 'cheshalo' ),
						'param_name' => 'title',
						'true_state' => 1,
						'false_state' => 0,
						'default' => 1,
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'type' => 'cheshalo_switch',
						'heading' => esc_html__( 'Show description', 'cheshalo' ),
						'param_name' => 'description',
						'true_state' => 1,
						'false_state' => 0,
						'default' => 1,
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					/**
					 * Extra
					 */
					array(
						'type'       => 'cheshalo_title_divider',
						'holder'     => 'div',
						'title'      => esc_html__( 'Extra options', 'cheshalo' ),
						'param_name' => 'extra_divider',
					),
					array(
						'type'       => 'textfield',
						'heading'    => esc_html__( 'Extra class name', 'cheshalo' ),
						'param_name' => 'el_class',
						'hint'       => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
					),
					array(
						'type' => 'css_editor',
						'heading' => esc_html__( 'CSS box', 'cheshalo' ),
						'param_name' => 'css',
						'group' => esc_html__( 'Design Options', 'cheshalo' )
					),
				),
			)
		);
	}
	add_action( 'vc_before_init', 'cheshalo_vc_map_size_guide' );
}
