<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* CheshAlo slider element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_vc_map_slider' ) ) {
	function cheshalo_vc_map_slider() {		
		if ( ! shortcode_exists( 'cheshalo_slider' ) ) {
			return;
		}

		vc_map( array(
			'name' => esc_html__( 'Slider', 'cheshalo' ),
			'base' => 'cheshalo_slider',
			'category' => esc_html__( 'Theme elements', 'cheshalo' ),
			'description' => esc_html__( 'CheshAlo theme slider', 'cheshalo' ),
        	'icon' => CHESHALO_ASSETS . '/images/vc-icon/slider.svg',
			'params' => array(
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Slider', 'cheshalo' ),
					'param_name' => 'slider',
					'value' => cheshalo_get_sliders_for_vc()
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				)
			),
		) );
	}
	add_action( 'vc_before_init', 'cheshalo_vc_map_slider' );
}

if( ! function_exists( 'cheshalo_get_sliders_for_vc' ) ) {
	function cheshalo_get_sliders_for_vc() {
		$args = array(
			'taxonomy' => 'cheshalo_slider',
			'hide_empty' => false,
		);
		$sliders = get_terms( $args );

		if( is_wp_error( $sliders ) || empty( $sliders ) ) return array('');

		$data = array( '' );

		foreach ($sliders as $slider) {
			$data[$slider->name] = $slider->slug;
		}

		return $data;
	}
}
