<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* Social buttons element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_vc_shortcode_social' ) ) {
	function cheshalo_vc_shortcode_social() {
		if ( ! shortcode_exists( 'social_buttons' ) ) {
			return;
		}

		vc_map( cheshalo_get_social_buttons_shortcode_args() );
	}
	add_action( 'vc_before_init', 'cheshalo_vc_shortcode_social' );
}

if( ! function_exists( 'cheshalo_get_social_buttons_shortcode_args' ) ) {
	function cheshalo_get_social_buttons_shortcode_args() {
		return array(
			'name' => esc_html__( 'Social buttons', 'cheshalo' ),
			'base' => 'social_buttons',
			'category' => esc_html__( 'Theme elements', 'cheshalo' ),
			'description' => esc_html__( 'Follow or share buttons', 'cheshalo' ),
        	'icon' => CHESHALO_ASSETS . '/images/vc-icon/social-buttons.svg',
			'params' => cheshalo_get_social_shortcode_params()
		);
	}
}

if( ! function_exists( 'cheshalo_get_social_shortcode_params' ) ) {
	function cheshalo_get_social_shortcode_params() {
		return apply_filters( 'cheshalo_get_social_shortcode_params', array(
			/**
			* Type
			*/
			array(
				'type' => 'cheshalo_title_divider',
				'holder' => 'div',
				'title' => esc_html__( 'Type', 'cheshalo' ),
				'param_name' => 'type_divider'
			),
			array(
				'type' => 'cheshalo_button_set',
				'heading' => esc_html__( 'Buttons type', 'cheshalo' ),
				'param_name' => 'type',
				'value' => array(
					esc_html__( 'Share', 'cheshalo' ) => 'share',
					esc_html__( 'Follow', 'cheshalo' ) => 'follow'
				),
			),
			/**
			* Style
			*/
			array(
				'type' => 'cheshalo_title_divider',
				'holder' => 'div',
				'title' => esc_html__( 'Style', 'cheshalo' ),
				'param_name' => 'style_divider'
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Buttons size', 'cheshalo' ),
				'param_name' => 'size',
				'value' => array(
					esc_html__( 'Default (18px)', 'cheshalo' ) => '',
					esc_html__( 'Small (14px)', 'cheshalo' ) => 'small',
					esc_html__( 'Large (22px)', 'cheshalo' ) => 'large'
				),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type' => 'cheshalo_button_set',
				'heading' => esc_html__( 'Color', 'cheshalo' ),
				'param_name' => 'color',
				'value' => array(
					esc_html__( 'Dark', 'cheshalo' ) => 'dark',
					esc_html__( 'Light', 'cheshalo' ) => 'light'
				),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type' => 'cheshalo_image_select',
				'heading' => esc_html__( 'Align', 'cheshalo' ),
				'param_name' => 'align',
				'value' => array( 
					esc_html__( 'Left', 'cheshalo' ) => 'left',
					esc_html__( 'Center', 'cheshalo' ) => 'center',
					esc_html__( 'Right', 'cheshalo' ) => 'right',
				),
				'images_value' => array(
					'center' => CHESHALO_ASSETS_IMAGES . '/settings/align/center.jpg',
					'left' => CHESHALO_ASSETS_IMAGES . '/settings/align/left.jpg',
					'right' => CHESHALO_ASSETS_IMAGES . '/settings/align/right.jpg',
				),
				'std' => 'center',
				'wood_tooltip' => true,
				'edit_field_class' => 'vc_col-sm-6 vc_column title-align',
			),
			array(
				'type' => 'cheshalo_image_select',
				'heading' => esc_html__( 'Button style', 'cheshalo' ),
				'param_name' => 'style',
				'value' => array( 
					esc_html__( 'Default', 'cheshalo' ) => '',
					esc_html__( 'Simple', 'cheshalo' ) => 'simple',
					esc_html__( 'Colored', 'cheshalo' ) => 'colored',
					esc_html__( 'Colored alternative', 'cheshalo' ) => 'colored-alt',
					esc_html__( 'Bordered', 'cheshalo' ) => 'bordered'
				),
				'images_value' => array(
					'' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/default.png',
					'simple' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/simple.png',
					'colored' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/colored.png',
					'colored-alt' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/colored-alt.png',
					'bordered' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/bordered.png',
				),
				'wood_tooltip' => true,
				'std' => 'default',
				'edit_field_class' => 'vc_col-xs-12 vc_column social-style',
			),
			array(
				'type' => 'cheshalo_image_select',
				'heading' => esc_html__( 'Button form', 'cheshalo' ),
				'param_name' => 'form',
				'value' => array( 
					esc_html__( 'Circle', 'cheshalo' ) => 'circle',
					esc_html__( 'Square', 'cheshalo' ) => 'square'
				),
				'images_value' => array(
					'circle' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/shape/circle.png',
					'square' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/shape/square.png',
				),
				'wood_tooltip' => true,
				'std' => 'default',
				'edit_field_class' => 'vc_col-xs-12 vc_column social-form',
			),
			/**
			* Extra
			*/
			array(
				'type' => 'cheshalo_title_divider',
				'holder' => 'div',
				'title' => esc_html__( 'Extra options', 'cheshalo' ),
				'param_name' => 'extra_divider'
			),
			( function_exists( 'vc_map_add_css_animation' ) ) ? vc_map_add_css_animation( true ) : '',
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
				'param_name' => 'el_class',
				'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
			)
		) );
	}
}
