<?php

if ( ! function_exists( 'cheshalo_white_label' ) ) {
	function cheshalo_white_label() {
		if ( ! cheshalo_get_opt( 'white_label' ) || ( ! cheshalo_get_opt( 'white_label_options_logo' ) && ! cheshalo_get_opt( 'white_label_appearance_screenshot' ) ) ) {
			return;
		}

		add_filter( 'cheshalo_header_builder_admin_footer_links', '__return_false' );
		add_filter( 'cheshalo_dashboard_links', '__return_false' );

		$icon_data       = cheshalo_get_opt( 'white_label_options_logo' );
		$screenshot_data = cheshalo_get_opt( 'white_label_appearance_screenshot' );
		?>

		<style>
			<?php if ( $screenshot_data['id'] ) : ?>
			.theme[aria-describedby="cheshalo-action cheshalo-name"] img, .theme[aria-describedby="cheshalo-child-action cheshalo-child-name"] img, .wd-cheshalo-theme img, .wd-cheshalo-theme .theme-info{
				display: none;
			}

			.theme-browser .theme[aria-describedby="cheshalo-action cheshalo-name"]:focus .theme-screenshot, .theme-browser .theme[aria-describedby="cheshalo-action cheshalo-name"]:hover .theme-screenshot, .theme-browser .theme[aria-describedby="cheshalo-child-action cheshalo-child-name"]:focus .theme-screenshot, .theme-browser .theme[aria-describedby="cheshalo-child-action cheshalo-child-name"]:hover .theme-screenshot {
				opacity: 0.4;
			}

			.theme[aria-describedby="cheshalo-action cheshalo-name"] .theme-screenshot,  .theme[aria-describedby="cheshalo-child-action cheshalo-child-name"] .theme-screenshot, .wd-cheshalo-theme .screenshot{
				background-image: url(<?php echo esc_url( wp_get_attachment_image_url( $screenshot_data['id'] ) ); ?>) !important;
				background-repeat: no-repeat !important;
				background-position: center center !important;
				background-size: contain !important;
				background-color: transparent !important;
			}

			.theme-name#cheshalo-name span , .theme-name#cheshalo-child-name span{
				font-size: 15px;
			}
			<?php endif; ?>

			<?php if ( cheshalo_get_opt( 'white_label_theme_name' ) ) : ?>
			.theme-name#cheshalo-name:after {
				content: "<?php echo esc_html( cheshalo_get_opt( 'white_label_theme_name' ) ); ?>";
				font-size: 15px;
				margin-left: 5px;
			}

			.theme-name#cheshalo-name, .theme-name#cheshalo-child-name {
				font-size:0
			}

			.theme-name#cheshalo-child-name:after {
				content: "<?php echo esc_html( cheshalo_get_opt( 'white_label_theme_name' ) ); ?>-child";
				font-size: 15px;
				margin-left: 5px;
			}
			<?php endif; ?>

			<?php if ( $icon_data['id'] ) : ?>
			.xts-options-theme-name:before {
				background-image: url(<?php echo esc_url( wp_get_attachment_image_url( $icon_data['id'] ) ); ?>) !important;
			}
			<?php endif; ?>
		</style>
		<?php
	}

	add_filter( 'admin_print_styles', 'cheshalo_white_label', -100 );
}
