<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );}

/**
* ------------------------------------------------------------------------------------------------
* Mega Menu widget
* ------------------------------------------------------------------------------------------------
*/

if ( ! function_exists( 'cheshalo_shortcode_mega_menu' ) ) {
	function cheshalo_shortcode_mega_menu( $atts, $content ) {
		$output = $title_html = '';
		extract(
			shortcode_atts(
				array(
					'title'                 => '',
					'nav_menu'              => '',
					'style'                 => '',
					'color'                 => '',
					'cheshalo_color_scheme' => 'light',
					'el_class'              => '',
					'cheshalo_css_id'       => '',
				),
				$atts
			)
		);

		$class = $el_class;

		if ( ! $cheshalo_css_id ) {
			$cheshalo_css_id = uniqid();
		}
		$widget_id = 'wd-' . $cheshalo_css_id;

		ob_start(); ?>

			<div id="<?php echo esc_attr( $widget_id ); ?>" class="widget_nav_mega_menu <?php echo esc_attr( $class ); ?>">

				<?php if ( $title ) : ?>
					<h5 class="widget-title color-scheme-<?php echo esc_attr( $cheshalo_color_scheme ); ?>">
						<?php echo wp_kses( $title, cheshalo_get_allowed_html() ); ?>
					</h5>
				<?php endif; ?>

				<?php
					wp_nav_menu(
						array(
							'fallback_cb' => '',
							'container'   => '',
							'menu'        => $nav_menu,
							'menu_class'  => 'menu wd-nav wd-nav-vertical' . cheshalo_get_old_classes( ' vertical-navigation' ),
							'walker'      => new CHESHALO_Mega_Menu_Walker(),
						)
					);
				?>

				<?php
				if ( $color && ! cheshalo_is_css_encode( $color ) ) {
					$css = '#' . esc_attr( $widget_id ) . ' .widget-title {';
					$css .= 'background-color: ' . esc_attr( $color ) . ';';
					$css .= '}';

					wp_add_inline_style( 'cheshalo-inline-css', $css );
				}
				?>
			</div>
		<?php
		$output = ob_get_contents();
		ob_end_clean();

		return $output;
	}
}
