<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * Register widget based on VC_MAP parameters that display banner shortcode
 *
 */

if ( ! class_exists( 'CHESHALO_Banner_Widget' ) ) {
	class CHESHALO_Banner_Widget extends WPH_Widget {
	
		function __construct() {
			if( ! function_exists( 'cheshalo_get_banner_params' ) ) return;
		
			// Configure widget array
			$args = array( 
				// Widget Backend label
				'label' => esc_html__( 'CHESHALO Banner', 'cheshalo' ), 
				// Widget Backend Description								
				'description' => esc_html__( 'Promo banner with text', 'cheshalo' ),
				'slug' => 'cheshalo-banner',
			 );
		
			// Configure the widget fields
		
			// fields array
			$args['fields'] = cheshalo_get_banner_params();

			// create widget
			$this->create_widget( $args );
		}
		
		// Output function

		function widget( $args, $instance )	{

			extract($args);
			
 			echo wp_kses_post( $before_widget );
			
			echo cheshalo_shortcode_promo_banner( $instance, $instance['content'] );

			echo wp_kses_post( $after_widget );
			
		}

		function form( $instance ) {
			$id = uniqid();
			echo '<div class="widget-'. $id .'">';
				parent::form( $instance );
				echo "<script>
					jQuery(document).ready(function() {
						if ( typeof cheshalo_media_init !== 'undefined' ) {
							cheshalo_media_init('.widget-". $id ." .cheshalo-image-upload', '.widget-". $id ." .cheshalo-image-upload-btn', '.widget-". $id ." .cheshalo-image-src');
						}
					});
				</script>";
			echo '</div>';
		}
	
	} // class
}
